Package helma.framework.repository

# Class AbstractResource

java.lang.Object
helma.framework.repository.AbstractResource

All Implemented Interfaces:
  `Resource`

Direct Known Subclasses:
  `FileResource`, `ZipResource`

public abstract class AbstractResource extends Object implements Resource
Abstract resource base class that implents get/setOverloadedResource.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Resource`
`overloaded`

## Constructor Summary

Constructors
Constructor
Description
`AbstractResource()`

## Method Summary

Modifier and Type
Method
Description
`Resource`
`getOverloadedResource()`
Get a Resource this Resource is overloading
`void`
`setOverloadedResource(Resource res)`
Method for registering a Resource this Resource is overloading

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface helma.framework.repository.Resource

`exists, getBaseName, getContent, getContent, getInputStream, getLength, getName, getRepository, getShortName, getUrl, lastModified`

## Field Details

### overloaded

protected Resource overloaded

## Constructor Details

### AbstractResource

public AbstractResource()

## Method Details

### setOverloadedResource

public void setOverloadedResource(Resource res)
Method for registering a Resource this Resource is overloading

Specified by:
  `setOverloadedResource` in interface `Resource`
Parameters:
  `res` - the overloaded resource

### getOverloadedResource

public Resource getOverloadedResource()
Get a Resource this Resource is overloading

Specified by:
  `getOverloadedResource` in interface `Resource`
Returns:
  the overloaded resource